PipeWire: spa_data Struct Reference

PipeWire 1.6.5

Loading...
Searching...
No Matches
spa_data Struct Reference
SPA » Buffers

Data for a buffer this stays constant for a buffer. More...

`#include <spa/buffer/buffer.h>`

## Data Fields
uint32_t | type
| memory type, one of enum spa_data_type, when allocating memory, the type contains a bitmask of allowed types.
uint32_t | flags
| data flags
int64_t | fd
| optional fd for data
uint32_t | mapoffset
| offset to map fd at, this is page aligned
uint32_t | maxsize
| max size of data
void * | data
| optional data pointer
struct spa_chunk * | chunk
| valid chunk of memory

## Detailed Description

Data for a buffer this stays constant for a buffer.

Examples
  audio-dsp-sink.c, audio-dsp-sink2.c, export-source.c, local-v4l2.c, midi-src.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, video-play-fixate.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src-sync.c.

## Field Documentation

## ◆ type

uint32_t spa_data::type

memory type, one of enum spa_data_type, when allocating memory, the type contains a bitmask of allowed types.

SPA_ID_INVALID is a special value for the allocator to indicate that the other side did not explicitly specify any supported data types. It should probably use a memory type that does not require special handling in addition to simple mmap/munmap.

Examples
  audio-dsp-sink.c, audio-dsp-sink2.c, export-sink.c, export-source.c, video-play-fixate.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src-sync.c.

## ◆ flags

uint32_t spa_data::flags

data flags

Examples
  audio-dsp-sink.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src-sync.c.

## ◆ fd

int64_t spa_data::fd

optional fd for data

Examples
  audio-dsp-sink.c, export-sink.c, export-source.c, video-play-sync.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src-sync.c.

## ◆ mapoffset

uint32_t spa_data::mapoffset

offset to map fd at, this is page aligned

Examples
  audio-dsp-sink.c, export-sink.c, export-source.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src-sync.c.

## ◆ maxsize

uint32_t spa_data::maxsize

max size of data

Examples
  audio-dsp-sink.c, audio-src-ring.c, audio-src-ring2.c, audio-src.c, export-sink.c, export-source.c, midi-src.c, tutorial4.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src-sync.c.

## ◆ data

void* spa_data::data

optional data pointer

Examples
  audio-capture.c, audio-src-ring.c, audio-src-ring2.c, audio-src.c, export-sink.c, export-source.c, local-v4l2.c, midi-src.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, tutorial4.c, tutorial5.c, video-dsp-play.c, video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play-sync.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## ◆ chunk

struct spa_chunk* spa_data::chunk

valid chunk of memory

Examples
  audio-capture.c, audio-src-ring.c, audio-src-ring2.c, audio-src.c, export-sink.c, export-source.c, local-v4l2.c, midi-src.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, tutorial4.c, tutorial5.c, video-dsp-play.c, video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play-sync.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

The documentation for this struct was generated from the following file:

- spa/buffer/buffer.h